Bug 245843 - www/py-django-tagging: Update to 0.5.0 and update Django dependency
Summary: www/py-django-tagging: Update to 0.5.0 and update Django dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/Fantomas42/django-...
Keywords: buildisok
Depends on: 245873
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-23 10:05 UTC by Kevin Golding
Modified: 2020-06-11 09:38 UTC (History)
1 user (show)

See Also:


Attachments
Update to 0.5.0 and update Django dependency (1.43 KB, patch)
2020-04-23 10:05 UTC, Kevin Golding
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Golding 2020-04-23 10:05:39 UTC
Created attachment 213715 [details]
Update to 0.5.0 and update Django dependency

Update to 0.5.0 and update Django dependency

CHANGELOG: https://github.com/Fantomas42/django-tagging/blob/edee955cb5ae80ebc7b56414ad2d013734d24d8a/CHANGELOG.txt

Poudriere: OK
Comment 1 Automation User 2020-04-23 10:26:53 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/139067296
Comment 2 Kai Knoblich freebsd_committer 2020-04-24 12:43:28 UTC
Comment on attachment 213715 [details]
Update to 0.5.0 and update Django dependency

^ Triage: Setting maintainer-approval to '+' as the patch was submitted by maintainer itself.
Comment 3 Kai Knoblich freebsd_committer 2020-06-10 19:18:12 UTC
Small change of the plan:

1. www/py-graphite-web gets updated to 1.1.7 and the "setup.py" is also prepared with relaxed requirements for www/py-django-tagging .
2. www/py-django-tagging is switched to Django 2.2 and gets a PORTREVISION bump.

Once that's done www/py-django-tagging will be updated to 0.5.0 as soon as possible.
Comment 4 commit-hook freebsd_committer 2020-06-11 09:00:00 UTC
A commit references this bug:

Author: kai
Date: Thu Jun 11 08:59:09 UTC 2020
New revision: 538461
URL: https://svnweb.freebsd.org/changeset/ports/538461

Log:
  www/py-graphite-web: Update to 1.1.7

  * Also switch the port to Django 2.2 (current LTS release) because
    Django 1.11 is End-of-Life since April, which also drops the support for
    Python 2.7.

  * Do the same for www/py-django-tagging and bump PORTREVISION due changed
    dependencies. [1]

  * Relax the version requirements in setup.py to pave the way for the 0.5.0
    update of www/py-django-tagging. [1]

  * Remove superfluous '+=' from SUB_LIST and PLIST_SUB and sort variables a
    bit according to the PHB.

  * Add NO_ARCH as there are no architecture relevant files in the package.

  Changelogs since 1.1.5:

  https://github.com/graphite-project/graphite-web/releases/tag/1.1.7
  https://github.com/graphite-project/graphite-web/releases/tag/1.1.6

  PR:		245873 245843 [1]
  Approved by:	maintainer timeout (6+ weeks), Kevin Golding (maintainer) [1]

Changes:
  head/www/py-django-tagging/Makefile
  head/www/py-graphite-web/Makefile
  head/www/py-graphite-web/distinfo
  head/www/py-graphite-web/files/patch-setup.py
  head/www/py-graphite-web/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-06-11 09:37:10 UTC
A commit references this bug:

Author: kai
Date: Thu Jun 11 09:36:29 UTC 2020
New revision: 538463
URL: https://svnweb.freebsd.org/changeset/ports/538463

Log:
  www/py-django-tagging: Update to 0.5.0

  * Pet portclippy (sort variables according to the PHB) while I'm here.

  Changelog:

  https://github.com/Fantomas42/django-tagging/blob/v0.5.0/CHANGELOG.txt

  PR:		245843
  Submitted by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/www/py-django-tagging/Makefile
  head/www/py-django-tagging/distinfo
Comment 6 Kai Knoblich freebsd_committer 2020-06-11 09:38:30 UTC
(In reply to Kevin Golding from comment #0)

Committed, thank you for the patch!